
var xhr;

function CreateXmlHttp(){
    // Probamos con IE
    try{        // FuncionarÃ¡ para JavaScript 5.0
        xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
    }
    catch(e){
        try{
            xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
        }
        catch(oc){
            xmlHttp = null;
        }
    }
    // Si no se trataba de un IE, probamos con esto
    if(!xmlHttp && typeof XMLHttpRequest != "undefined")
    {
        xmlHttp = new XMLHttpRequest();
    }

    return xmlHttp;
}

//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}



//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}


  function comprobar_codigo(){


        xhr=CreateXmlHttp();


       var cod=get('codigo');

       if(cod=='')
        {
//            alert('Ingrese Codigo');
            exit();
        }


        xhr.open("GET","insertar_constancias.php?accion=info_comp_codigo&codigo="+cod+"",true);//ultimo parametro true asincrono false sincrono
        xhr.onreadystatechange=resinfocod; //despue del = nombre de la funcion que controla la respuesta
        xhr.send(null);//post sen el elemento que contiene la informacion

}


function resinfocod()
{
        if(xhr.readyState==4){


       var result=xhr.responseXML;


        var respuesta=result.getElementsByTagName("datos");
        var res=respuesta.item(0).firstChild.nodeValue;



        if(res=='no')
        {
            alert('Alumno No Matriculado');
            document.getElementById('codigo').focus();
            limiar_info_boletin_2();

        }else  if(res=='no_a')
        {
            alert('Alumno Inactivo');
            document.getElementById('codigo').focus();
            limiar_info_boletin_2();

        }else {

           var nom=result.getElementsByTagName("nombre");
           var nom2=nom.item(0).firstChild.nodeValue;
           document.getElementById('nombres').value=nom2;

           var codg=result.getElementsByTagName("codg");
           var codg2=codg.item(0).firstChild.nodeValue;
           document.getElementById('g_id1').value=codg2;

           var txcodg=result.getElementsByTagName("txcodg");
           var txcodg2=txcodg.item(0).firstChild.nodeValue;
           document.getElementById('g_id2').value=txcodg2;

           var codc=result.getElementsByTagName("codc");
           var codc2=codc.item(0).firstChild.nodeValue;
           document.getElementById('c_id1').value=codc2;

           var txcodc=result.getElementsByTagName("txcodc");
           var txcodc2=txcodc.item(0).firstChild.nodeValue;
           document.getElementById('c_id2').value=txcodc2;

           var codjor=result.getElementsByTagName("codjor");
           var codjor2=codjor.item(0).firstChild.nodeValue;
           document.getElementById('j_id1').value=codjor2;

           var desjor=result.getElementsByTagName("desjor");
           var desjor2=desjor.item(0).firstChild.nodeValue;
           document.getElementById('j_id2').value=desjor2;

           var codsed=result.getElementsByTagName("codsed");
           var codsed2=codsed.item(0).firstChild.nodeValue;
           document.getElementById('s_id1').value=codsed2;

           var dessed=result.getElementsByTagName("dessed");
           var dessed2=dessed.item(0).firstChild.nodeValue;
           document.getElementById('s_id2').value=dessed2;

            }


          }
      }

function limpiar_info(){


    document.getElementById('codigo').value='';
    document.getElementById('nombres').value='';

    document.getElementById('g_id1').value='';
    document.getElementById('g_id2').value='';

    document.getElementById('c_id1').value='';
    document.getElementById('c_id2').value='';

    document.getElementById('j_id1').value='';
    document.getElementById('j_id2').value='';


    document.getElementById('s_id1').value='';
    document.getElementById('s_id2').value='';

    //-----------------------------------------

    document.getElementById('g1_id1').value='';
    document.getElementById('g1_id2').value='';

    document.getElementById('c1_id1').value='';
    document.getElementById('c1_id2').value='';

    document.getElementById('j1_id1').value='';
    document.getElementById('j1_id2').value='';


    document.getElementById('s1_id1').value='';
    document.getElementById('s1_id2').value='';

    document.getElementById('codigo').focus();


   var elementos = document.getElementsByName("myradio");
   elementos[0].checked=true;

   mostrar_leyenda(1);
}

  function mostrar_leyenda(n){

  if (n==1){
      document.getElementById('X1').innerHTML="CURSO ACTUAL";
      document.getElementById('X2').innerHTML="CURSO NUEVO";
  }else{
      document.getElementById('X1').innerHTML="GRADO ACTUAL";
      document.getElementById('X2').innerHTML="GRADO NUEVO";
  }


  }

function retornar_menu(){


    var dir=parametro('rol');

    if(dir=='4'){
        document.location.href="../menu.php";
    }

    if(dir=='3'){
        document.location.href="../menu_coordinador.php";
    }


}